--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initialize Locale::Object.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "language_or_locale_name: language(ISO 639) or POSIX or RFC3066 style locale name"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "country: an uppercase ISO 3166-1 country/region identifier, or nil"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "charset: charset(codeset) (no standard), or nil"
  type: :BULLET
- !ruby/struct:SM::Flow::VERB 
  body: " Locale::Object.new(&quot;ja&quot;, &quot;JP&quot;, &quot;eucJP&quot;)\n  -&gt; language = &quot;ja&quot;, country = &quot;JP&quot;, charset = &quot;eucJP&quot;.\n Locale::Object.new(&quot;ja&quot;, &quot;JP&quot;)\n  -&gt; language = &quot;ja&quot;, country = &quot;JP&quot;, charset = nil.\n Locale::Object.new(&quot;ja_JP.eucJP&quot;)\n  -&gt; language = &quot;ja&quot;, country = &quot;JP&quot;, charset = &quot;eucJP&quot;.\n Locale::Object.new(&quot;ja_JP.eucJP&quot;, nil, &quot;UTF-8&quot;)\n  -&gt; language = &quot;ja&quot;, country = &quot;JP&quot;, charset = &quot;UTF-8&quot;.\n Locale::Object.new(&quot;en-US&quot;, &quot;CA&quot;)\n  -&gt; language = &quot;en&quot;, country = &quot;CA&quot;, charset = nil.\n Locale::Object.new(&quot;uz-uz-latn&quot;)\n  -&gt; language = &quot;uz&quot;, country = &quot;UZ&quot;, charset = nil, script = &quot;Latn&quot;\n Locale::Object.new(&quot;uz_UZ_Latn&quot;)\n  -&gt; language = &quot;uz&quot;, country = &quot;UZ&quot;, charset = nil, script = &quot;Latn&quot;\n Locale::Object.new(&quot;we_BE.iso885915@euro&quot;)\n  -&gt; language = &quot;we&quot;, country = &quot;BE&quot;, charset = &quot;iso885915&quot;, modifier = &quot;euroo&quot;.\n Locale::Object.new(&quot;C&quot;)\n  -&gt; language = &quot;en&quot;, country = nil, charset = nil.\n Locale::Object.new(&quot;POSIX&quot;)\n  -&gt; language = &quot;en&quot;, country = nil, charset = nil.\n"
full_name: Locale::Object::new
is_singleton: true
name: new
params: (language_or_locale_name, country = nil, charset = nil)
visibility: public
